
Foreman - Bug #12258

Entering a blank value for required class parameter doesn't throw validation error on host parameter

form

10/22/2015 08:54 AM - Tomer Brisker

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1277846 Red Hat JIRA:  

Pull request:    

Description

History

#1 - 11/04/2015 03:49 AM - Tomer Brisker

- Bugzilla link set to 1277846

#2 - 02/28/2016 06:57 AM - Ori Rabin

The validation now works as expected when overriding with an empty value but when there is no override for the host the host is saved (even though

you see it in the list of parameters and it's value is empty).

#3 - 03/16/2016 04:05 AM - Tomer Brisker

- Status changed from New to Resolved

Closing this, validation works as expected when attempting to override with empty value.

If anyone thinks this should be handled differently feel free to reopen and explain how.
